/**
 * \file main.c
 * \version main.c, v 0.0.1 03/10/2007 20:21 vovan
 *
 * Led.c - crumb128 test
 *
 * :
 * <pre>
 * (PB7) -- [LED |<] -- [R 1k5] -- (+)
 *            _______
 *           |MAX3221|
 * (TxD0) -- |  |>   | -- (COM RxD)
 * (RxD0) -- |  <|   | -- (COM TXD)
 *           |_______|
 *            ______
 *           |CP2302|
 * (TxD1) -- | |>   |
 *           |  USB | -- (USB)
 * (RXD1) -- | <|   |
 *           |______|
 * </pre>
 */

// #include <avr/io.h>
#include <avr/io.h>
#include <stdio.h>
#include <inttypes.h>

#include "portpc.h"

int main(void)
{
	DDRB = (1<<7);

	usart0_init();

	while(1)
	{// main loop
		PORTB = (1<<7);
		send_usart0();
		PORTB = ~(1<<7);
		send_usart0();
	}
	return 0;
}
