/**
 * \file portpc.c
 * \version PortPC.c, v 0.0.1 01/10/2007 21:21 vovan
 */

#include <avr/io.h>
#include <inttypes.h>

#include "portpc.h"

/*
 *  USART0
 */
void usart0_init(void)
{
	UBRR0L = UBRR0V;	//   UBRR
	UBRR0H = (UBRR0V>>8);	//   UBRR
	UCSR0C = (1<<UCSZ01) | (1<<UCSZ00);	// 8N1
	UCSR0B = (1<<RXEN0) | (1<<TXEN0);	//    
}

/*
 *  "CRUMB128"
 */
void send_usart0(void)
{
	while (!(UCSR0A & (1<<UDRE0)));	//     
	UDR0 = 'C';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = 'R';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = 'U';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = 'M';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = 'B';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = '1';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = '2';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = '8';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = '\r';
	while (!(UCSR0A & (1<<UDRE0)));
	UDR0 = '\n';
}
